# getGaslessApprovalTokens GET https://api.0x.org/gasless/gasless-approval-tokens Get token addresses that support gasless approvals Reference: https://docs.0x.org/api-reference/openapi-json/gasless/getgaslessapprovaltokens ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: 0x API version: 1.0.0 paths: /gasless/gasless-approval-tokens: get: operationId: getgaslessapprovaltokens summary: getGaslessApprovalTokens description: Get token addresses that support gasless approvals tags: - subpackage_gasless parameters: - name: chainId in: query description: >- Chain ID. See [here](https://0x.org/docs/developer-resources/supported-chains) for the list of supported chains required: true schema: type: integer - name: 0x-api-key in: header description: Visit dashboard.0x.org to get your API Key required: true schema: type: string - name: 0x-version in: header description: API version required: true schema: type: string responses: '200': description: Successful response content: application/json: schema: $ref: >- #/components/schemas/Gasless_getgaslessapprovaltokens_Response_200 '400': description: 400 error response content: application/json: schema: $ref: >- #/components/schemas/Gasless::getGaslessApprovalTokensRequestBadRequestError '500': description: 500 error response content: application/json: schema: $ref: >- #/components/schemas/Gasless::getGaslessApprovalTokensRequestInternalServerError servers: - url: https://api.0x.org components: schemas: Gasless_getgaslessapprovaltokens_Response_200: type: object properties: tokens: type: array items: type: string description: The list of tokens that can be used for gasless approvals zid: type: string description: The unique ZeroEx identifier of the request required: - tokens - zid title: Gasless_getgaslessapprovaltokens_Response_200 InputInvalidName: type: string enum: - INPUT_INVALID title: InputInvalidName InputInvalidDataDetailsItems: type: object properties: field: type: string description: The input field name reason: type: string description: The validation failure reason required: - field - reason title: InputInvalidDataDetailsItems InputInvalidData: type: object properties: zid: type: string description: The unique ZeroEx identifier of the request details: type: array items: $ref: '#/components/schemas/InputInvalidDataDetailsItems' description: The list of invalid inputs required: - zid - details title: InputInvalidData INPUT_INVALID: type: object properties: name: $ref: '#/components/schemas/InputInvalidName' message: type: string data: $ref: '#/components/schemas/InputInvalidData' required: - name - message - data title: INPUT_INVALID Gasless::getGaslessApprovalTokensRequestBadRequestError: oneOf: - $ref: '#/components/schemas/INPUT_INVALID' title: Gasless::getGaslessApprovalTokensRequestBadRequestError InternalServerErrorName: type: string enum: - INTERNAL_SERVER_ERROR title: InternalServerErrorName InternalServerErrorData: type: object properties: zid: type: string description: The unique ZeroEx identifier of the request required: - zid title: InternalServerErrorData INTERNAL_SERVER_ERROR: type: object properties: name: $ref: '#/components/schemas/InternalServerErrorName' message: type: string data: $ref: '#/components/schemas/InternalServerErrorData' required: - name - message - data title: INTERNAL_SERVER_ERROR UncategorizedName: type: string enum: - UNCATEGORIZED title: UncategorizedName UncategorizedData: type: object properties: zid: type: string description: The unique ZeroEx identifier of the request required: - zid title: UncategorizedData UNCATEGORIZED: type: object properties: name: $ref: '#/components/schemas/UncategorizedName' message: type: string data: $ref: '#/components/schemas/UncategorizedData' required: - name - message - data title: UNCATEGORIZED Gasless::getGaslessApprovalTokensRequestInternalServerError: oneOf: - $ref: '#/components/schemas/INTERNAL_SERVER_ERROR' - $ref: '#/components/schemas/UNCATEGORIZED' title: Gasless::getGaslessApprovalTokensRequestInternalServerError ``` ## SDK Code Examples ```python import requests url = "https://api.0x.org/gasless/gasless-approval-tokens" querystring = {"chainId":"8453"} headers = { "0x-api-key": "0x-api-key", "0x-version": "v2" } response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript const url = 'https://api.0x.org/gasless/gasless-approval-tokens?chainId=8453'; const options = {method: 'GET', headers: {'0x-api-key': '0x-api-key', '0x-version': 'v2'}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.0x.org/gasless/gasless-approval-tokens?chainId=8453" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("0x-api-key", "0x-api-key") req.Header.Add("0x-version", "v2") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.0x.org/gasless/gasless-approval-tokens?chainId=8453") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["0x-api-key"] = '0x-api-key' request["0x-version"] = 'v2' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.0x.org/gasless/gasless-approval-tokens?chainId=8453") .header("0x-api-key", "0x-api-key") .header("0x-version", "v2") .asString(); ``` ```php request('GET', 'https://api.0x.org/gasless/gasless-approval-tokens?chainId=8453', [ 'headers' => [ '0x-api-key' => '0x-api-key', '0x-version' => 'v2', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.0x.org/gasless/gasless-approval-tokens?chainId=8453"); var request = new RestRequest(Method.GET); request.AddHeader("0x-api-key", "0x-api-key"); request.AddHeader("0x-version", "v2"); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "0x-api-key": "0x-api-key", "0x-version": "v2" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.0x.org/gasless/gasless-approval-tokens?chainId=8453")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```